Welcome to our forums! Please take a few moments to read through our Community Guidelines (also conveniently linked in the header at the top of each page). There, you'll find guidelines on conduct, tips on getting the help you may be searching for, and more!

Installing new version on WHS

kermtfrgkermtfrg Posts: 2Members

Trying to install the latest version of Plex (0.9.728.33) on WHS service pack 2 and am getting an error message:  "The installation package cannot be installed by the Windows Installer service. You must install a service pack that contains a newer version of the Windows Installer service."

 

Never had an issue installing Plex until this version.  Is my windows version just too old to be used by plex anymore?  I really don't want to upgrade windows because it's been working perfect.

Tagged:

Best Answer

Answers

  • Pooya.toPooya.to Posts: 2Members
    kermtfrg wrote on June 11 2013, 4:50 PM: »

    Trying to install the latest version of Plex (0.9.728.33) on WHS service pack 2 and am getting an error message:  "The installation package cannot be installed by the Windows Installer service. You must install a service pack that contains a newer version of the Windows Installer service."

    Never had an issue installing Plex until this version.  Is my windows version just too old to be used by plex anymore?  I really don't want to upgrade windows because it's been working perfect.

    I am having the same issue ... anyone know how to fix this?

  • FunkyJFunkyJ Posts: 2Members, Plex Pass Plex Pass

    Yup, getting the same message here as well.

    Running win XP V 5.1.2600 Service Pack 3 Build 2600

  • trojitatrojita Posts: 2Members

    I just tried to install Plex on my Windows Home Server today and I'm running into the same problem. The Windows Home Server I'm using is the original one that came out in 2007. I would appreciate it if anyone has an answer to fix this.

  • TrudgeTrudge Gone off to greener pastures.... Posts: 9,360Members ✭✭✭
    Answer ✓
  • kermtfrgkermtfrg Posts: 2Members

    Thank you!

    Trudge wrote on June 12 2013, 12:52 PM: »

    Thank you!

  • Rob McKeownRob McKeown Posts: 2Members

    I'm running Windows Home Server v1 Service Pack 2 with Windows Home Server Power Pack 2 and 3 installed on an Acer Aspire server.

    I'm trying to install Plex Media Server and get the error message during the install that everyone else reports. 

    However, I'm unable to install any of the Windows Installer 4.5 packages.

    "Windows XP-KB942288-v3-x86.exe" extracts but results in a "Setup Error - The updatebr.inf file is invalid".

    The other packages are MSU files and I don't know how to install them.

    Can anyone get me pointed in the right direction?

  • sa2000sa2000 Posts: 24,048Members, Plex Pass, Forum Moderator, International Forum Moderator Forum Mod
    edited December 2013
     
    Rob McKeown wrote on December 31 2013, 8:28 PM: »

    I'm running Windows Home Server v1 Service Pack 2 with Windows Home Server Power Pack 2 and 3 installed on an Acer Aspire server.

    I'm trying to install Plex Media Server and get the error message during the install that everyone else reports. 

    However, I'm unable to install any of the Windows Installer 4.5 packages.

    "Windows XP-KB942288-v3-x86.exe" extracts but results in a "Setup Error - The updatebr.inf file is invalid".

    The other packages are MSU files and I don't know how to install them.

    Can anyone get me pointed in the right direction?

     

    May be WHS needs the same Microsoft patch as XP and Windows Server 2003: 

    http://www.microsoft.com/en-gb/download/details.aspx?id=8483

    This patch is needed for Plex Media Server installs on Windows XP and I believe also on Windows Server 2003

    Sorry - this was already mentioned before

    So already tried

  • Rob McKeownRob McKeown Posts: 2Members

    The XP/2003 executable "Windows XP-KB942288-v3-x86.exe" extracts but results in a "Setup Error - The updatebr.inf file is invalid".

     

  • sa2000sa2000 Posts: 24,048Members, Plex Pass, Forum Moderator, International Forum Moderator Forum Mod
    Rob McKeown wrote on December 31 2013, 9:06 PM: »

    The XP/2003 executable "Windows XP-KB942288-v3-x86.exe" extracts but results in a "Setup Error - The updatebr.inf file is invalid".

     

    Googling your line gives this 

    http://social.technet.microsoft.com/Forums/windowsserver/en-US/12cb44c0-9450-4165-b5f3-806fa07d6850/windows-installer-is-broken-i-cant-reinstall?forum=winservergen

    which refers to the Microsoft Program Install and Uninstall Troubleshooter

    http://support.microsoft.com/kb/290301

    We have had that used before to fix issues

    I take you have already installed http://www.microsoft.com/en-gb/download/details.aspx?id=8483

  • CrashemCrashem Posts: 1Members

    For those of you having the problem with the recommended fix not working (http://www.microsoft.com/en-gb/download/details.aspx?id=8483), please doublecheck you are downloading the correct version of the software.

    For example I have the original version of Windows Home Server and I had to install:

    WindowsServer2003-KB942288-v4-x86.exe

    So read through the versions carefully.

    For Windows Vista, Windows Vista Service Pack 1 and Windows Server 2008:
    x86 Platform: Windows6.0-KB942288-v2-x86.msu
    x64 Platform: Windows6.0-KB942288-v2-x64.msu
    IA64 Platform: Windows6.0-KB942288-v2-ia64.msu

    For Windows XP Service Pack 2 and Windows XP Service Pack 3 (32-bit platforms):
    x86 Platform: WindowsXP-KB942288-v3-x86.exe

    For Windows Server 2003 Service Pack 1, Windows Server 2003 Service Pack 2 and Windows XP 64-bit Editions:
    x86 Platform: WindowsServer2003-KB942288-v4-x86.exe
    x64 Platform: WindowsServer2003-KB942288-v4-x64.exe
    IA64 Platform: WindowsServer2003-KB942288-v4-ia64.exe

  • foslundfoslund Posts: 2Members ✭✭

    Hi...

    I have the same issue.

    My WHS 1 tells me that I don´t have The Rights to make this install?

    I placed my new download of Plex Update in different maps on my server. I tried Shared maps. Software map. Update map. Nothing Works. Can enyone help me please?

    I´m sorry for my poor English. in Writing.

    Best regards

  • adamskoogadamskoog Posts: 1,996Members, Plex Pass, Plex Ninja Plex Ninja

    If you are using WHS v1 on any version beyond 0.9.9.14 (0.9.9.16 for PlexPass) it won't install as support was dropped for XP. Sounds like there is another issue preventing you from getting that message from the installer, but it may not be worth troubleshooting since one you figure it out you'll get the error that it can't install anyway.

    Relase notes can be found here

    We've also dropped support for Windows XP and Windows Server 2003 with this release, which allowed us to clean up and modernize some things. That, along with dropping support for legacy Flash and Silverlight channels makes the server start up faster, use less memory, and perform better (not to mention be a smaller download package). For anyone keeping score, we supported Windows XP five months longer than Microsoft did.

  • foslundfoslund Posts: 2Members ✭✭

    OK. Thank You for helping me. I will drop Plex for now and try again later on another server.

Sign In or Register to comment.